/* =========================
   ANIMAÇÕES GLOBAIS
========================= */

.fade-up,
.fade-left,
.fade-right,
.zoom{
  opacity:0;

  transition:
  opacity 0.8s ease,
  transform 0.8s ease;
}

/* SUBIR */

.fade-up{
  transform:translateY(80px);
}

/* ESQUERDA */

.fade-left{
  transform:translateX(-80px);
}

/* DIREITA */

.fade-right{
  transform:translateX(80px);
}

/* ZOOM */

.zoom{
  transform:scale(0.8);
}

/* ATIVAR */

.show{
  opacity:1;
  transform:
  translateY(0)
  translateX(0)
  scale(1);
}

/* =========================
   HOVER CARDS
========================= */

.card{
  transition:0.4s;
}

.card:hover{
  transform:
  translateY(-10px)
  scale(1.03);

  box-shadow:
  0 20px 40px rgba(0,0,0,0.3);
}

/* =========================
   BOTÕES
========================= */

.btn,
.btn-outline{
  transition:0.3s;
}

.btn:hover,
.btn-outline:hover{
  transform:translateY(-5px);
}

/* =========================
   BRILHO BOTÃO
========================= */

.btn{
  position:relative;

  overflow:hidden;
}

.btn::before{
  content:"";

  position:absolute;

  top:0;
  left:-100%;

  width:100%;
  height:100%;

  background:
  linear-gradient(
    120deg,
    transparent,
    rgba(255,255,255,0.3),
    transparent
  );

  transition:0.7s;
}

.btn:hover::before{
  left:100%;
}

/* =========================
   FLOAT CARRO
========================= */

.f1-car{
  animation:float 4s ease-in-out infinite;
}

@keyframes float{

  0%{
    transform:translateY(0px);
  }

  50%{
    transform:translateY(-15px);
  }

  100%{
    transform:translateY(0px);
  }

}

/* =========================
   PARTÍCULAS
========================= */

.particles{
  position:absolute;

  top:0;
  left:0;

  width:100%;
  height:100%;

  overflow:hidden;

  z-index:0;
}

.particles span{
  position:absolute;

  width:6px;
  height:6px;

  background:rgba(255,255,255,0.2);

  border-radius:50%;

  animation:particles 10s linear infinite;
}

@keyframes particles{

  0%{
    transform:
    translateY(100vh)
    scale(0);

    opacity:0;
  }

  10%{
    opacity:1;
  }

  100%{
    transform:
    translateY(-100px)
    scale(1);

    opacity:0;
  }

}